depurador pydev no funcionaban, pero puede ejecutar código fina

votos
0

Estoy usando Liclipse que es básicamente PyDev con eclipse. El archivo de Python funciona muy bien, pero cuando trato de utilizar el depurador pydev en el mismo archivo que el depurador no se inicia y no pude encontrar nada acerca de este error. ¿Es un error en pydev? Incluso se dice Durante la manipulación de la excepción anterior, se produjo otra excepción

Estoy usando Python 3.7.1

warning: Debugger speedups using cython not found. Run 'C:\Users\q4116\AppData\Local\Programs\Python\Python37-32\python.exe C:\Program Files\Brainwy\LiClipse 5.1.0\plugins\org.python.pydev.core_7.0.0.201811071259\pysrc\setup_cython.py build_ext --inplace' to build.
pydev debugger: starting (pid: 20104)
Traceback (most recent call last):
  File _pydevd_bundle\pydevd_cython_win32_37_32.pyx, line 134, in _pydevd_bundle.pydevd_cython_win32_37_32.set_additional_thread_info
AttributeError: '_MainThread' object has no attribute 'additional_info'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File C:\Program Files\Brainwy\LiClipse 5.1.0\plugins\org.python.pydev.core_7.0.0.201811071259\pysrc\pydevd.py, line 1951, in <module>
    main()
  File C:\Program Files\Brainwy\LiClipse 5.1.0\plugins\org.python.pydev.core_7.0.0.201811071259\pysrc\pydevd.py, line 1945, in main
    globals = debugger.run(setup['file'], None, None, is_module)
  File C:\Program Files\Brainwy\LiClipse 5.1.0\plugins\org.python.pydev.core_7.0.0.201811071259\pysrc\pydevd.py, line 1295, in run
    self.notify_thread_created(thread_id, t)
  File C:\Program Files\Brainwy\LiClipse 5.1.0\plugins\org.python.pydev.core_7.0.0.201811071259\pysrc\pydevd.py, line 662, in notify_thread_created
    additional_info = set_additional_thread_info(thread)
  File _pydevd_bundle\pydevd_cython_win32_37_32.pyx, line 138, in _pydevd_bundle.pydevd_cython_win32_37_32.set_additional_thread_info
  File _pydevd_bundle\pydevd_cython_win32_37_32.pyx, line 147, in _pydevd_bundle.pydevd_cython_win32_37_32.set_additional_thread_info
  File _pydevd_bundle\pydevd_cython_win32_37_32.pyx, line 95, in _pydevd_bundle.pydevd_cython_win32_37_32.PyDBAdditionalThreadInfo.__init__
AttributeError: '_pydevd_bundle.pydevd_cython_win32_37_32.PyDBAdditionalThreadInfo' object has no attribute 'pydev_state'
Publicado el 07/11/2018 a las 22:32
fuente por usuario
En otros idiomas...                            


2 respuestas

votos
4

Lo siento por eso. Esto es un error en PyDev 7.0.0. Acabo de terminar de subir una nueva versión para PyDev y LiClipse está casi allí también (factor limitante es la velocidad de mi conexión a Internet, por lo que, en caso de estar disponible en unas pocas horas).

Mientras tanto, la eliminación de los aceleradores (y si quieres recrear localmente) debería hacer que funcione de nuevo. es decir: Retire _pydevd_bundle * .pyd y _pydevd_bundle \ pydevd_frame_eval * .pyd y ejecutar setup_cython.py localmente (o no hacer si estás bien en ir sin los módulos de aceleración).

Respondida el 08/11/2018 a las 15:27
fuente por usuario

votos
2

Yo tenía el mismo problema después de una actualización de estos paquetes:

  • Configuración de empuje 1.11.0.v20181107-0652 org.eclipse.oomph.setup.feature.group Eclipse Proyecto de empuje
  • PyDev para Eclipse 7.0.0.201811071319 org.python.pydev.feature.feature.group Fabio Zadrozny
  • PyDev para Eclipse Recursos para programadores 7.0.0.201811071319 org.python.pydev.feature.source.feature.group Fabio Zadrozny

No está en ejecución LiClipse pero sólo Eclipse + pydev.

Lo resuelto por ahora revirtiendo la actualización. Haga clic en Ayuda> Acerca de Eclipse IDE> Detalles de la instalación> Historial de instalación> Haga clic en la versión última elaboración> Revert

Debería haber guardado la información de error, aunque por lo que podría presentar una informe de error ...

Respondida el 08/11/2018 a las 09:35
fuente por usuario

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more